package Vue;

import java.awt.Color;

import javax.swing.JLabel;
import javax.swing.JPanel;

import Controleurs.EcouteurSourisAjout;

public class IHMMenu extends JPanel
{
	protected IHMAccueil ihm;
	
	public IHMMenu(IHMAccueil ihm)
	{
		this.ihm = ihm;
		this.setLayout(null);
		this.setSize(300,300);
		this.setBackground(new Color(0, 202, 250));
		this.setLocation(220,190);
		
		
		JLabel ajout = new JLabel("<html><u>&bull; Ajouter un problème</u></html>");
		ajout.addMouseListener(new EcouteurSourisAjout(ihm,ihm.getProbleme()));

		ajout.setSize(200,20);
		ajout.setLocation(15,30);
		this.add(ajout);
		
		JLabel afficher = new JLabel("<html><u>&bull; Afficher un problème</u></html>");
		afficher.setSize(200,20);
		afficher.setLocation(15,70);
		this.add(afficher);
		
		JLabel importer = new JLabel("<html><u>&bull; Importer un problème</u></html>");
		importer.setSize(200,20);
		importer.setLocation(15,110);
		this.add(importer);
	}
}
